Linux missing libs



  • Hello, I compiled qt quick controls 2 app on linux, but I have troubles with libs

    ldd logs:

    ldd MoneyHolder
    ./MoneyHolder: /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5: version `Qt_5' not found (required by ./MoneyHolder)
    ./MoneyHolder: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5: version `Qt_5' not found (required by ./MoneyHolder)
    ./MoneyHolder: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.7' not found (required by ./MoneyHolder)
    ./MoneyHolder: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5' not found (required by ./MoneyHolder)
    	linux-vdso.so.1 =>  (0x00007ffdccbc6000)
    	libQt5QuickControls2.so.5 => not found
    	libQt5Widgets.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5 (0x00007fd362b85000)
    	libQt5Qml.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5 (0x00007fd362758000)
    	libQt5Core.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007fd362282000)
    	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fd361f00000)
    	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fd361ce9000)
    	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fd361920000)
    	libQt5Gui.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5 (0x00007fd3613d8000)
    	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fd3611ba000)
    	libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007fd360f67000)
    	libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007fd360c56000)
    	libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007fd36091b000)
    	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fd360612000)
    	libQt5Network.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007fd3604b8000)
    	libdouble-conversion.so.1 => /usr/lib/x86_64-linux-gnu/libdouble-conversion.so.1 (0x00007fd3602a6000)
    	libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fd36008c000)
    	libicui18n.so.55 => /usr/lib/x86_64-linux-gnu/libicui18n.so.55 (0x00007fd35fc2a000)
    	libicuuc.so.55 => /usr/lib/x86_64-linux-gnu/libicuuc.so.55 (0x00007fd35f895000)
    	libpcre16.so.3 => /usr/lib/x86_64-linux-gnu/libpcre16.so.3 (0x00007fd35f62f000)
    	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fd35f42b000)
    	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fd35f222000)
    	/lib64/ld-linux-x86-64.so.2 (0x000055756faf5000)
    	libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007fd35effd000)
    	libharfbuzz.so.0 => /usr/lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007fd35ed9e000)
    	libGL.so.1 => /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1 (0x00007fd35eb2d000)
    	libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007fd35e925000)
    	libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007fd35e6b4000)
    	libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fd35e492000)
    	libproxy.so.1 => /usr/lib/x86_64-linux-gnu/libproxy.so.1 (0x00007fd35e271000)
    	libicudata.so.55 => /usr/lib/x86_64-linux-gnu/libicudata.so.55 (0x00007fd35c7b9000)
    	libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007fd35c50f000)
    	libgraphite2.so.3 => /usr/lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007fd35c2e9000)
    	libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007fd35c0c0000)
    	libxcb-dri3.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-dri3.so.0 (0x00007fd35bebd000)
    	libxcb-present.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-present.so.0 (0x00007fd35bcb9000)
    	libxcb-sync.so.1 => /usr/lib/x86_64-linux-gnu/libxcb-sync.so.1 (0x00007fd35bab2000)
    	libxshmfence.so.1 => /usr/lib/x86_64-linux-gnu/libxshmfence.so.1 (0x00007fd35b8af000)
    	libglapi.so.0 => /usr/lib/x86_64-linux-gnu/libglapi.so.0 (0x00007fd35b680000)
    	libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007fd35b46e000)
    	libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007fd35b26b000)
    	libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007fd35b064000)
    	libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007fd35ae62000)
    	libxcb-glx.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-glx.so.0 (0x00007fd35ac49000)
    	libxcb-dri2.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-dri2.so.0 (0x00007fd35aa43000)
    	libXxf86vm.so.1 => /usr/lib/x86_64-linux-gnu/libXxf86vm.so.1 (0x00007fd35a83d000)
    	libdrm.so.2 => /usr/lib/x86_64-linux-gnu/libdrm.so.2 (0x00007fd35a62e000)
    	libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007fd35a429000)
    	libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007fd35a223000)
    
    

  • Lifetime Qt Champion

    Hi,

    Did you build your application with your distribution provided Qt ?



  • What do you mean? I'm using Ubuntu on virual machine



  • Hi, I think because you've compiled your program with Qt 5.7 but Ubuntu 16.04 has pre-installed Qt 5.5. And the 2 different versions of Qt sometimes does not play nice together.



  • But I need to use 5.7 and Qt Quick Controls 2



  • Have you 5.7 installed on that Ubuntu VM? If you can start MoneyHolder from Qt Creator you should be ok.



  • You don't understand me, It's working on my ubuntu because I have installed qt 5.7, but on other systems without installed qt it's not working


  • Lifetime Qt Champion

    Since you need to use 5.7, did you deploy your application accordingly ?



  • I don't understand you, I installed ubuntu on my virtual machine, I installed Qt 5.7, I compiled my app, and it's working on my ubuntu, but it's not working on my friend ubuntu because he don't have Qt installed, is there way to don't force users to install Qt to use my app?


  • Lifetime Qt Champion

    Yes: deploy it with your app. There's no need to install the complete SDK, but you still have to deploy the libraries and plugins your application is using.



  • I know, I made few applications on windows, but I don't know how to do it on linux, I found linuxdeployqt, but it's working in 50%, not working with controls 2


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.